long long value(int r, int c);

long long a[510][510];

std::pair<int, int> find_locmin_point(int N, int M) {
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= m; j++) {
            a[i][j] = value(i, j);
        }
    }
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= m; j++) {
            bool flag = 1;
            if (i > 1 && a[i - 1][j] < a[i][j]) flag = 0;
            if (i < n && a[i + 1][j] < a[i][j]) flag = 0;
            if (j > 1 && a[i][j - 1] < a[i][j]) flag = 0;
            if (j < m && a[i][j + 1] < a[i][j]) flag = 0;
            if (flag) return make_pair(i, j);
        }
    }
}